package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity
@Table(name = "EkstensionNoTelepon_M")
public class EkstensionNoTelepon extends BaseMaster {

	@Column(name = "CounterNumber", nullable = true, length = 200)
	@Caption(value = "Counter Number")
	private Integer counterNumber;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value = "Ruangan")
	private Ruangan ruangan;

	@Column(name = "ObjectRuanganFk", insertable = false, updatable = false, nullable = true)
	private Integer ruanganId;

	@Column(name = "NoEkstension", nullable = true, length = 200)
	@Caption(value = "No Ekstension")
	private String noEkstension;

	@ManyToOne
	@JoinColumn(name = "ObjectStatusSemuaRuanganFk")
	@Caption(value = "statusSemuaRuangan")
	private StatusYaTidak statusSemuaRuangan;

	@Column(name = "ObjectStatusSemuaRuanganFk", insertable = false, updatable = false, nullable = true)
	private Integer statusSemuaRuanganId;

	@ManyToOne
	@JoinColumn(name = "ObjectStatusPelangganFk")
	@Caption(value = "statusPelanggan")
	private StatusYaTidak statusPelanggan;

	@Column(name = "ObjectStatusPelangganFk", insertable = false, updatable = false, nullable = true)
	private Integer statusPelangganId;

	public Integer getCounterNumber() {
		return counterNumber;
	}

	public void setCounterNumber(Integer counterNumber) {
		this.counterNumber = counterNumber;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public String getNoEkstension() {
		return noEkstension;
	}

	public void setNoEkstension(String noEkstension) {
		this.noEkstension = noEkstension;
	}

	public StatusYaTidak getStatusSemuaRuangan() {
		return statusSemuaRuangan;
	}

	public void setStatusSemuaRuangan(StatusYaTidak statusSemuaRuangan) {
		this.statusSemuaRuangan = statusSemuaRuangan;
	}

	public StatusYaTidak getStatusPelanggan() {
		return statusPelanggan;
	}

	public void setStatusPelanggan(StatusYaTidak statusPelanggan) {
		this.statusPelanggan = statusPelanggan;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.ekstensionnotelepon_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.ekstensionnotelepon_m_id_seq", sequenceName = "public.ekstensionnotelepon_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}